# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           vhybridize
Version:        0.5.9
Release:        alt1_9
Summary:        Virtual Hybridization command line tools

Group:          Engineering
License:        GPLv3+
URL:            http://ygingras.net/bioinfo
Source0:        http://ygingras.net/files/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-module-distribute
Source44: import.info


%description
Virtual Hybridization uses sets of short probes to generate datasets
for comparative genomics: given a DNA sequence and a set of probes,
the typical output will give a sequence of oriented probe hits along
the DNA sequence. Other tools are supplied to allow simple manipulations
such as format conversion and extraction of permutations.


%prep
%setup -q


%build
python ./setup.py build


%install
python ./setup.py install --skip-build --root %{buildroot}
#remove shebang
for file in \
    %{buildroot}%{python_sitelibdir_noarch}/%{name}/scripts/{to_permutation.py,split_multi_fasta.py} \
    %{buildroot}%{python_sitelibdir_noarch}/%{name}/{utils.py,locate.py}   \
    %{buildroot}%{python_sitelibdir_noarch}/%{name}/scripts/{to_vhx.py,merge.py,filter.py}; do
    sed -i -e '/^#!\//, 1d' $file
done

%files
%doc AUTHORS.txt COPYING.txt README.txt TODO.txt docs/ examples/
%{_bindir}/vhy*
%{python_sitelibdir_noarch}/%{name}/
%{python_sitelibdir_noarch}/%{name}*.egg-info


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_9
- initial fc import

